import RegistryExtendedJSON from '../build/contracts/RegistryExtended.json';
import IssuerJSON from '../build/contracts/Issuer.json';
import PrivateIssuerJSON from '../build/contracts/PrivateIssuer.json';
import { Issuer__factory } from './ethers/factories/Issuer__factory';
import { RegistryExtended__factory } from './ethers/factories/RegistryExtended__factory';
import { PrivateIssuer__factory } from './ethers/factories/PrivateIssuer__factory';
declare const factories: {
    IssuerFactory: typeof Issuer__factory;
    RegistryExtendedFactory: typeof RegistryExtended__factory;
    PrivateIssuerFactory: typeof PrivateIssuer__factory;
};
export * from './migrate';
export { RegistryExtendedJSON, IssuerJSON, PrivateIssuerJSON, factories };
