import { ethers } from 'ethers';
import { Issuer } from './ethers/Issuer';
import { RegistryExtended } from './ethers/RegistryExtended';
import { PrivateIssuer } from './ethers/PrivateIssuer';
export declare function migratePrivateIssuer(provider: ethers.providers.FallbackProvider, deployKey: string, issuerAddress: string): Promise<PrivateIssuer>;
export declare function migrateIssuer(provider: ethers.providers.FallbackProvider, deployKey: string, registryAddress: string): Promise<Issuer>;
export declare function migrateRegistry(provider: ethers.providers.FallbackProvider, deployKey: string, uri?: string): Promise<RegistryExtended>;
