import { PreciseProofs } from 'ew-precise-proofs-js';
export declare class PreciseProofUtils {
    static generateProofs(commitment: IOwnershipCommitment, salts?: string[]): IOwnershipCommitmentProof;
}
export interface IOwnershipCommitment {
    [address: string]: string;
}
export interface IOwnershipCommitmentProof {
    commitment: IOwnershipCommitment;
    rootHash: string;
    leafs: PreciseProofs.Leaf[];
    salts: string[];
}
